0 Replies Latest reply on May 21, 2012 12:51 PM by Matt Forsythe

    Trouble with maven-jaxws-tools-plugin and Apache CXF

    Matt Forsythe Newbie

      I have been trying to get the maven-jaxws-tools-plugin to work with Apache CXF 3.4.0 on JBoss 5.1.0.  The problem I have been running into is that apparently version 1.1.0 of the plugin is not compatible with CXF 3.4.0.  (I get the same ClassNotFoundException on org.jboss.ws.api.tools.WSContractConsumer that is mentioned early on is this thread https://community.jboss.org/thread/194951.)


      However, if I fall back to version 1.0.1, which is the version that is compatible with CXF 3.4.0, I find that I cannot specify my dependency on CXF as "provided" without suffering from this problem: https://issues.jboss.org/browse/JBWS-3402.  That problem appears to be fixed in version 1.1.0 of the plugin, but not version 1.0.1.  I realize JBoss 5.1.0 is aging, but we have requirements for using it.  From my testing, it appears that all is that is needed to fix JBWS-3402 in version 1.0.1 of the plugin is just to change <requiresDependencyResolution>runtime</requiresDependencyResolution> to "compile" for the wsprovide mojo in plugin.xml.


      Does anyone know if there is a version of the plugin that supports Apache CXF 3.4.0 AND contains the fix for JBWS-3402?  Or is there some other work around?